> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Launch: dispatch every staged media buy



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/campaigns/{id}/execute
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/campaigns/{id}/execute:
    post:
      tags:
        - Campaigns
      summary: 'Launch: dispatch every staged media buy'
      operationId: postBuyerCampaignsByIdExecute
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: Idempotency-Key
          in: header
          required: false
          schema:
            type: string
            minLength: 16
            maxLength: 255
            pattern: ^[A-Za-z0-9_.:-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedRevision:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                debug:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          previousStatus:
                            type: string
                            enum:
                              - DRAFT
                              - ACTIVE
                              - PAUSED
                              - COMPLETED
                              - CANCELED
                              - ARCHIVED
                          newStatus:
                            type: string
                            enum:
                              - DRAFT
                              - ACTIVE
                              - PAUSED
                              - COMPLETED
                              - CANCELED
                              - ARCHIVED
                          success:
                            type: boolean
                          mediaBuysExecuted:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          sandbox:
                            type: boolean
                          errors:
                            type: array
                            items:
                              type: object
                              properties:
                                mediaBuyId:
                                  type: string
                                sellerId:
                                  type: integer
                                  exclusiveMinimum: 0
                                  maximum: 9007199254740991
                                code:
                                  type: string
                                message:
                                  type: string
                                recovery:
                                  type: string
                                  enum:
                                    - transient
                                    - correctable
                                    - terminal
                                retrySafe:
                                  type: boolean
                              required:
                                - mediaBuyId
                                - sellerId
                                - code
                                - message
                                - recovery
                                - retrySafe
                              additionalProperties: false
                          campaignId:
                            type: string
                        required:
                          - previousStatus
                          - newStatus
                          - success
                          - mediaBuysExecuted
                          - sandbox
                          - errors
                          - campaignId
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````